org.keycloak.services.resources.admin

## Class ServerInfoAdminResource.ServerInfoRepresentation

- java.lang.Object
- - org.keycloak.services.resources.admin.ServerInfoAdminResource.ServerInfoRepresentation

- Enclosing class:
    ServerInfoAdminResource

      public static class ServerInfoAdminResource.ServerInfoRepresentation
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<Map<String,String>>` | `identityProviders`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerInfoAdminResource.ServerInfoRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Map<String,String>>` | `getApplicationImporters()`
    `Map<String,List<ProtocolMapperRepresentation>>` | `getBuiltinProtocolMappers()`
    `List<String>` | `getEventListeners()`
    `List<String>` | `getEventTypes()`
    `List<Map<String,String>>` | `getIdentityProviders()`
    `Map<String,List<ProtocolMapperTypeRepresentation>>` | `getProtocolMapperTypes()`
    `List<String>` | `getProtocols()`
    `Map<String,Set<String>>` | `getProviders()`
    `String` | `getServerTime()`
    `List<Map<String,String>>` | `getSocialProviders()`
    `Map<String,List<String>>` | `getThemes()`
    `String` | `getVersion()`
    `void` | `setBuiltinProtocolMappers(Map<String,List<ProtocolMapperRepresentation>> builtinProtocolMappers)`
    `void` | `setEventTypes(List<String> eventTypes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identityProviders

          public List<Map<String,String>> identityProviders

  - ### Constructor Detail

    - #### ServerInfoAdminResource.ServerInfoRepresentation

          public ServerInfoAdminResource.ServerInfoRepresentation()

  - ### Method Detail

    - #### getServerTime

          public String getServerTime()

    - #### getVersion

          public String getVersion()

    - #### getThemes

          public Map<String,List<String>> getThemes()

    - #### getSocialProviders

          public List<Map<String,String>> getSocialProviders()

    - #### getIdentityProviders

          public List<Map<String,String>> getIdentityProviders()

    - #### getEventListeners

          public List<String> getEventListeners()

    - #### getProtocols

          public List<String> getProtocols()

    - #### getApplicationImporters

          public List<Map<String,String>> getApplicationImporters()

    - #### getProviders

          public Map<String,Set<String>> getProviders()

    - #### getProtocolMapperTypes

          public Map<String,List<ProtocolMapperTypeRepresentation>> getProtocolMapperTypes()

    - #### getBuiltinProtocolMappers

          public Map<String,List<ProtocolMapperRepresentation>> getBuiltinProtocolMappers()

    - #### setBuiltinProtocolMappers

          public void setBuiltinProtocolMappers(Map<String,List<ProtocolMapperRepresentation>> builtinProtocolMappers)

    - #### getEventTypes

          public List<String> getEventTypes()

    - #### setEventTypes

          public void setEventTypes(List<String> eventTypes)

Copyright © 2015. All rights reserved.